退出代码13在CircleCI中是什么意思?

问题描述 投票:0回答:0

我正在尝试使用 CircleCI 在 Gemfury 中创建和发布 python 包。但最后系统显示消息:
“以代码退出状态 13 退出”
“CircleCI 收到退出代码 13”
那是什么意思呢? 附上我的sh文件

    #!/bin/bash
    #Building packages and uploading them to a Gemfury repository

    GEMFURY_URL=$GEMFURY_PUSH_URL

    set -e

    DIRS="$@"
    BASE_DIR=$(pwd)
    SETUP="setup.py"

    warn() {
        echo "$@" 1>&2
    }

    die() {
        warn "$@"
        exit 1
    }

    build() {
        DIR="${1/%\//}"
        echo "Checking directory $DIR"
        cd "$BASE_DIR/$DIR"
        [ ! -e $SETUP ] && warn "No $SETUP file, skipping" && return
    PACKAGE_NAME=$(python $SETUP --fullname)
    echo "Package $PACKAGE_NAME"
    python "$SETUP" sdist bdist_wheel || die "Building package $PACKAGE_NAME failed"
    for X in $(ls dist)
    do
        curl -F package=@"dist/$X" "$GEMFURY_URL" || die "Uploading package $PACKAGE_NAME failed on file dist/$X"
    done
}

if [ -n "$DIRS" ]; then
    for dir in $DIRS; do
        build $dir
    done
else
    ls -d */ | while read dir; do
        build $dir
    done
fi

和截图:

circleci gem-fury
© www.soinside.com 2019 - 2024. All rights reserved.